org.apache.jorphan.logging

## Class LoggingManager

- java.lang.Object
- - org.apache.jorphan.logging.LoggingManager

Deprecated.
since 3.2, use SLF4J for logger creation

    @Deprecated
    public final class LoggingManager
    extends Object

Manages JMeter logging

### Field Summary

Fields
`static String` `DEFAULT_PATTERN` Deprecated. since 3.2, use SLF4J for logging
`static String` `LOG_FILE` Deprecated. since 3.2, use SLF4J for logging
`static String` `LOG_PRIORITY` Deprecated. since 3.2, use SLF4J for logging

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `addLogTargetToRootLogger(LogTarget[] logTargets)` Deprecated. since 3.2, use SLF4J for logging
`static Logger` `getLoggerFor(String category)` Deprecated. Get the Logger for a class.
`static Logger` `getLoggerForClass()` Deprecated. Get the Logger for a class - no argument needed because the calling class name is derived automatically from the call stack.
`static Logger` `getLoggerForShortName(String category)` Deprecated. since 3.2, use SLF4J for logging
`static void` `initializeLogging(Properties properties)` Deprecated. since 3.2, use SLF4J for logging
`static String` `removePrefix(String name)` Deprecated. since 3.2, use SLF4J for logging
`static void` `setLoggingLevels(Properties appProperties)` Deprecated. since 3.2, use SLF4J for logging
`static void` `setPriority(Priority priority)` Deprecated. since 3.2, use SLF4J for logging
`static void` `setPriority(Priority priority, String category)` Deprecated. since 3.2, use SLF4J for logging
`static void` `setPriority(String priority)` Deprecated. since 3.2, use SLF4J for logging
`static void` `setPriority(String priority, String category)` Deprecated. since 3.2, use SLF4J for logging
`static void` `setPriorityFullName(String priority, String fullName)` Deprecated. since 3.2, use SLF4J for logging
`static void` `setTarget(LogTarget target, String category)` Deprecated. since 3.2, use SLF4J for logging

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PATTERN

    @Deprecated
    public static final String DEFAULT_PATTERN

Deprecated. since 3.2, use SLF4J for logging
Predefined format patterns, selected by the property log_format_type (see jmeter.properties) The new-line is added later

See Also:
  Constant Field Values

#### LOG_FILE

    @Deprecated
    public static final String LOG_FILE

Deprecated. since 3.2, use SLF4J for logging

See Also:
  Constant Field Values

#### LOG_PRIORITY

    @Deprecated
    public static final String LOG_PRIORITY

Deprecated. since 3.2, use SLF4J for logging

See Also:
  Constant Field Values

### Method Detail

#### initializeLogging

    @Deprecated
    public static void initializeLogging(Properties properties)

Deprecated. since 3.2, use SLF4J for logging
Initialise the logging system from the Jmeter properties. Logkit loggers inherit from their parents. Normally the jmeter properties file defines a single log file, so set this as the default from "log_file", default "jmeter.log" The default priority is set from "log_level", with a default of INFO

Parameters:
  `properties` - `Properties` to be used for initialization

#### setLoggingLevels

    @Deprecated
    public static void setLoggingLevels(Properties appProperties)

Deprecated. since 3.2, use SLF4J for logging
Handle LOG_PRIORITY.category=priority and LOG_FILE.category=file_name properties. If the prefix is detected, then remove it to get the category.

Parameters:
  `appProperties` - `Properties` that contain the `LOG_PRIORITY` and `LOG_FILE` prefixed entries

#### removePrefix

    @Deprecated
    public static String removePrefix(String name)

Deprecated. since 3.2, use SLF4J for logging
Removes the standard prefix, i.e. "org.apache.".

Parameters:
  `name` - from which to remove the prefix
Returns:
  the name with the prefix removed

#### getLoggerForClass

    public static Logger getLoggerForClass()

Deprecated.
Get the Logger for a class - no argument needed because the calling class name is derived automatically from the call stack.

Returns:
  Logger

#### getLoggerFor

    public static Logger getLoggerFor(String category)

Deprecated.
Get the Logger for a class.

Parameters:
  `category` - - the full name of the logger category
Returns:
  Logger

#### getLoggerForShortName

    @Deprecated
    public static Logger getLoggerForShortName(String category)

Deprecated. since 3.2, use SLF4J for logging
Get the Logger for a class.

Parameters:
  `category` - - the full name of the logger category, this will have the prefix removed.
Returns:
  Logger

#### setPriority

    @Deprecated
    public static void setPriority(String priority,
                                               String category)

Deprecated. since 3.2, use SLF4J for logging
Set the logging priority for a category.

Parameters:
  `priority` - - string containing the priority name, e.g. "INFO", "WARN", "DEBUG", "FATAL_ERROR"
  `category` - - string containing the category

#### setPriorityFullName

    @Deprecated
    public static void setPriorityFullName(String priority,
                                                       String fullName)

Deprecated. since 3.2, use SLF4J for logging
Set the logging priority for a category.

Parameters:
  `priority` - - priority, e.g. DEBUG, INFO
  `fullName` - - e.g. org.apache.jmeter.etc, will have the prefix removed.

#### setPriority

    @Deprecated
    public static void setPriority(Priority priority,
                                               String category)

Deprecated. since 3.2, use SLF4J for logging
Set the logging priority for a category.

Parameters:
  `priority` - - e.g. Priority.DEBUG
  `category` - - string containing the category

#### setPriority

    @Deprecated
    public static void setPriority(String priority)

Deprecated. since 3.2, use SLF4J for logging
Set the logging priority.

Parameters:
  `priority` - - e.g. Priority.DEBUG

#### setPriority

    @Deprecated
    public static void setPriority(Priority priority)

Deprecated. since 3.2, use SLF4J for logging
Set the default logging priority.

Parameters:
  `priority` - e.g. Priority.DEBUG

#### setTarget

    @Deprecated
    public static void setTarget(LogTarget target,
                                             String category)

Deprecated. since 3.2, use SLF4J for logging
Set the logging target for a category.

Parameters:
  `target` - the LogTarget
  `category` - the category name

#### addLogTargetToRootLogger

    @Deprecated
    public static void addLogTargetToRootLogger(LogTarget[] logTargets)

Deprecated. since 3.2, use SLF4J for logging
Add logTargets to root logger FIXME What's the clean way to add a LogTarget afterwards ?

Parameters:
  `logTargets` - LogTarget array